Using Westlaw with OmniWeb 5

April 01, 2004

I realize that given the stringent circumstances required to reproduce this problem (a law student using Westlaw through OmniWeb 5 on Mac OS X), there is a very good chance that the following will help no one, but I'm sick of doing research at the moment and felt like sharing. As I mentioned in a previous entry, OmniWeb 5 is the best browser I've ever used on any platform. Ever. As such, I'd obviously like to use it for researching my current law school project through Westlaw and LexisNexis (i.e., not be forced to use another browser just for these tasks).

The Problem

While Lexis gave me no real trouble (at least nothing more than I complained about previously), Westlaw was a different matter entirely — it wouldn't even let me log in. It would take me to the obligatory requirements page and tell me that both JavaScript and cookies were disabled. They weren't, and in fact, each and every time I visited the page, Westlaw created six new cookies. Go figure.

The Solution

Armed with the knowledge that JavaScript and cookies were not the problem, I was left with only one other possibility: the USER-AGENT string must be giving them something they don't like (so they lie and tell me, the user, that I'm doing something wrong — that I have features disabled. Way to go Westlaw). Anyways, like a lot of modern browsers, I have the option of changing the USER-AGENT string, but unlike any other browser that I know of, OmniWeb lets me do this on a site-by-site basis through what it calls "Site Preferences" — site-specific options are set and stored so that when you go back to that site again, your preferences are known and applied.

To get Westlaw working, you need to remove all of the Westlaw cookies and then set your USER-AGENT (through Site Preferences) to either "Netscape 6.2 (Mac OS X)" or "Netscape 7.0 (Mac OS X)" — these are the only strings offered by OmniWeb that seem to give Westlaw what it wants. On a somewhat related note, the "Safari 1.0 (v85)" string does not work, though Safari itself works fine (but is not 'supported').

You should follow me on Twitter here